object MainForm: TMainForm
  Left = 239
  Top = 91
  Width = 800
  Height = 482
  Caption = 'Control System Live Block Diagram'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  WindowState = wsMaximized
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnPaint = FormPaint
  OnResize = FormResize
  PixelsPerInch = 96
  TextHeight = 13
  object DiagramPanel: TGroupBox
    Left = 153
    Top = 0
    Width = 631
    Height = 245
    Align = alClient
    Caption = 'Block Diagram'
    Color = clMedGray
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -12
    Font.Name = 'Arial'
    Font.Style = []
    ParentColor = False
    ParentFont = False
    TabOrder = 0
    object Panel2: TPanel
      Left = 18
      Top = 33
      Width = 847
      Height = 496
      TabOrder = 0
      object Diagram: TPaintBox
        Left = 1
        Top = 1
        Width = 845
        Height = 494
        Align = alClient
        Color = clBtnFace
        ParentColor = False
        OnPaint = FormPaint
      end
      object BoundaryLabel: TLabel
        Left = 328
        Top = 284
        Width = 179
        Height = 16
        Caption = 'System-Environment Boundary'
        Color = clBtnFace
        Font.Charset = ANSI_CHARSET
        Font.Color = clRed
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentColor = False
        ParentFont = False
        Visible = False
      end
      object CVCircle: TShape
        Left = 216
        Top = 336
        Width = 17
        Height = 17
        Brush.Color = clBtnFace
        Shape = stCircle
        Visible = False
      end
      object InputAdjustPanel: TPanel
        Left = 16
        Top = 168
        Width = 153
        Height = 117
        BevelOuter = bvNone
        TabOrder = 0
        object InputGainLabel: TLabel
          Left = 4
          Top = 28
          Width = 93
          Height = 15
          Caption = 'Input Gain Factor'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object InOutDelayLabel: TLabel
          Left = 4
          Top = 60
          Width = 88
          Height = 15
          Caption = 'Input Delay, Sec'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object SetInOutDelay: TTrackBar
          Left = 8
          Top = 80
          Width = 89
          Height = 33
          Max = 60
          Orientation = trHorizontal
          Frequency = 4
          Position = 8
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          TickMarks = tmBottomRight
          TickStyle = tsNone
          OnChange = SetInOutDelayChange
        end
        object SetInputGain: TTrackBar
          Left = 8
          Top = 0
          Width = 89
          Height = 25
          Max = 200
          Min = 1
          Orientation = trHorizontal
          Frequency = 10
          Position = 100
          SelEnd = 0
          SelStart = 0
          TabOrder = 1
          TickMarks = tmBottomRight
          TickStyle = tsNone
          OnChange = SetInputGainChange
        end
        object InputGainCounter: TEdit
          Left = 108
          Top = 32
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 2
          Text = '   1.00'
        end
        object InOutDelayCounter: TEdit
          Left = 108
          Top = 56
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 3
          Text = '      4'
        end
      end
      object OutputAdjustPanel: TPanel
        Left = 664
        Top = 168
        Width = 169
        Height = 117
        BevelOuter = bvNone
        TabOrder = 1
        object OutputGainLabel: TLabel
          Left = 56
          Top = 28
          Width = 102
          Height = 15
          Caption = 'Output Gain Factor'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object TimeConstLabel: TLabel
          Left = 56
          Top = 60
          Width = 108
          Height = 15
          Caption = 'Time Constant, Sec'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object SetOutputGain: TTrackBar
          Left = 56
          Top = 0
          Width = 97
          Height = 25
          Max = 100
          Orientation = trHorizontal
          Frequency = 20
          Position = 100
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          TickMarks = tmBottomRight
          TickStyle = tsNone
          OnChange = SetOutputGainChange
        end
        object SetOutputTC: TTrackBar
          Left = 56
          Top = 80
          Width = 97
          Height = 25
          Max = 330
          Min = 10
          Orientation = trHorizontal
          Frequency = 100
          Position = 330
          SelEnd = 0
          SelStart = 0
          TabOrder = 1
          TickMarks = tmBottomRight
          TickStyle = tsNone
          OnChange = SetOutputTCChange
        end
        object OutputGainCounter: TEdit
          Left = 0
          Top = 32
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 2
          Text = '   19.0'
        end
        object OutputTCCounter: TEdit
          Left = -1
          Top = 56
          Width = 46
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 3
          Text = '    1.0'
        end
      end
      object DisturbanceAdjustPanel: TPanel
        Left = 32
        Top = 400
        Width = 233
        Height = 81
        BevelOuter = bvNone
        TabOrder = 2
        object DisturbanceLabel: TLabel
          Left = 152
          Top = 24
          Width = 69
          Height = 16
          Caption = 'Disturbance'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object SetDisturbance: TTrackBar
          Left = 144
          Top = 40
          Width = 89
          Height = 33
          Max = 150
          Min = -150
          Orientation = trHorizontal
          Frequency = 50
          Position = 0
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          TickMarks = tmBottomRight
          TickStyle = tsNone
          OnChange = SetDisturbanceChange
        end
        object AutoDisturb: TRadioGroup
          Left = 16
          Top = 0
          Width = 121
          Height = 65
          Caption = 'Auto Disturbance'
          ItemIndex = 0
          Items.Strings = (
            'Off'
            'On')
          TabOrder = 1
          OnClick = AutoDisturbClick
        end
        object DisturbanceCounter: TEdit
          Left = 168
          Top = 0
          Width = 45
          Height = 23
          ReadOnly = True
          TabOrder = 2
          Text = '   0.00'
        end
      end
      object FeedbackAdjustPanel: TPanel
        Left = 440
        Top = 368
        Width = 117
        Height = 81
        BevelOuter = bvNone
        Caption = 'Feedback Gain'
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 3
        object SetFeedbackGain: TTrackBar
          Left = 8
          Top = 48
          Width = 94
          Height = 33
          Min = -1
          Orientation = trHorizontal
          Frequency = 1
          Position = 4
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          TickMarks = tmBottomRight
          TickStyle = tsNone
          OnChange = SetFeedbackGainChange
        end
        object FeedbackGainCounter: TEdit
          Left = 32
          Top = 8
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 1
          Text = '  1.00'
        end
      end
      object InputPanel: TPanel
        Left = 72
        Top = 300
        Width = 149
        Height = 33
        BevelOuter = bvNone
        TabOrder = 4
        object InputLabel: TLabel
          Left = 4
          Top = 8
          Width = 81
          Height = 16
          Caption = 'Input Quantity'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object InputCounter: TEdit
          Left = 96
          Top = 4
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 0
          Text = '   0.00'
        end
      end
      object OutputPanel: TPanel
        Left = 600
        Top = 300
        Width = 169
        Height = 33
        BevelOuter = bvNone
        TabOrder = 5
        object OutputLabel: TLabel
          Left = 60
          Top = 8
          Width = 92
          Height = 16
          Caption = 'Output Quantity'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object OutputCounter: TEdit
          Left = 8
          Top = 4
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 0
          Text = '   0.00'
        end
      end
      object PerceptualPanel: TPanel
        Left = 232
        Top = 120
        Width = 137
        Height = 57
        BevelOuter = bvNone
        TabOrder = 6
        object PerceptualSignalLable: TLabel
          Left = 16
          Top = 8
          Width = 102
          Height = 16
          Caption = 'Perceptual Signal'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object PerceptualCounter: TEdit
          Left = 48
          Top = 32
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 0
          Text = '   0.00'
        end
      end
      object ReferenceAdjustPanel: TPanel
        Left = 352
        Top = 24
        Width = 137
        Height = 81
        BevelOuter = bvNone
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clBlack
        Font.Height = -13
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentFont = False
        TabOrder = 7
        object ReferenceLabel: TLabel
          Left = 20
          Top = 32
          Width = 98
          Height = 16
          Caption = 'Reference Signal'
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object SetReference: TTrackBar
          Left = 24
          Top = 0
          Width = 89
          Height = 33
          Ctl3D = True
          Max = 150
          Min = -150
          Orientation = trHorizontal
          ParentCtl3D = False
          Frequency = 50
          Position = 0
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          TickMarks = tmBottomRight
          TickStyle = tsAuto
          OnChange = SetReferenceChange
        end
        object ReferenceCounter: TEdit
          Left = 48
          Top = 56
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 1
          Text = '   0.00'
        end
      end
      object ComparatorBox: TPanel
        Left = 376
        Top = 160
        Width = 89
        Height = 49
        BevelInner = bvRaised
        Caption = 'Comparator'
        Color = clMoneyGreen
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 8
      end
      object OutputBox: TPanel
        Left = 540
        Top = 200
        Width = 113
        Height = 49
        BevelInner = bvRaised
        Caption = 'Output Function'
        Color = clMoneyGreen
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 9
      end
      object FeedbackBox: TPanel
        Left = 436
        Top = 320
        Width = 129
        Height = 49
        BevelInner = bvRaised
        Caption = 'Feedback Function'
        Color = clMoneyGreen
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 10
      end
      object InputBox: TPanel
        Left = 180
        Top = 200
        Width = 113
        Height = 49
        BevelInner = bvRaised
        Caption = 'Input Function'
        Color = clMoneyGreen
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 11
      end
      object FeedbackPanel: TPanel
        Left = 272
        Top = 353
        Width = 137
        Height = 49
        BevelOuter = bvNone
        TabOrder = 12
        object FeedbackLabel: TLabel
          Left = 8
          Top = 24
          Width = 110
          Height = 16
          Caption = 'Feedback Quantity'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object FeedbackCounter: TEdit
          Left = 40
          Top = 0
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 0
          Text = '   1.00'
        end
      end
      object ErrorPanel: TPanel
        Left = 496
        Top = 120
        Width = 89
        Height = 57
        BevelOuter = bvNone
        TabOrder = 13
        object ErrorLabel: TLabel
          Left = 21
          Top = 9
          Width = 68
          Height = 16
          Caption = 'Error Signal'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object ErrorCounter: TEdit
          Left = 28
          Top = 34
          Width = 45
          Height = 23
          Font.Charset = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          ReadOnly = True
          TabOrder = 0
          Text = '   0.00'
        end
      end
    end
  end
  object ControlPanel: TGroupBox
    Left = 0
    Top = 0
    Width = 153
    Height = 245
    Align = alLeft
    Caption = 'Controls'
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -12
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    TabOrder = 1
    object SetSpeed: TRadioGroup
      Left = 12
      Top = 16
      Width = 129
      Height = 57
      Caption = 'Speed'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -12
      Font.Name = 'Arial'
      Font.Style = []
      ItemIndex = 0
      Items.Strings = (
        'Normal'
        'Slow (1/10)')
      ParentFont = False
      TabOrder = 0
      OnClick = SetSpeedClick
    end
    object ShowSliders: TRadioGroup
      Left = 13
      Top = 86
      Width = 129
      Height = 57
      Caption = 'Parameter Slides'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -12
      Font.Name = 'Arial'
      Font.Style = []
      ItemIndex = 1
      Items.Strings = (
        'Show'
        'Hide')
      ParentFont = False
      TabOrder = 1
      OnClick = ShowSlidersClick
    end
    object ProgramBox: TGroupBox
      Left = 10
      Top = 263
      Width = 129
      Height = 57
      Caption = 'Program'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -12
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 2
      object AboutButton: TButton
        Left = 8
        Top = 20
        Width = 53
        Height = 25
        Caption = 'About ...'
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 0
        OnClick = AboutButtonClick
      end
      object ExitButton: TButton
        Left = 68
        Top = 20
        Width = 53
        Height = 25
        Caption = 'Exit'
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 1
        OnClick = ExitButtonClick
      end
    end
    object ActionsBox: TGroupBox
      Left = 12
      Top = 156
      Width = 129
      Height = 97
      Caption = 'Actions'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -12
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 3
      object ResetButton: TButton
        Left = 8
        Top = 20
        Width = 53
        Height = 25
        Caption = 'Reset'
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 0
        OnClick = ResetButtonClick
      end
      object PauseButton: TButton
        Left = 68
        Top = 20
        Width = 53
        Height = 25
        Caption = 'Pause'
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 1
        OnClick = PauseButtonClick
      end
      object SetGraphs: TButton
        Left = 8
        Top = 64
        Width = 113
        Height = 17
        Caption = 'Graphs On'
        TabOrder = 2
        OnClick = SetGraphsClick
      end
    end
  end
  object Panel1: TPanel
    Left = 0
    Top = 245
    Width = 784
    Height = 201
    Align = alBottom
    Caption = 'Panel1'
    TabOrder = 2
    object GraphPanel: TGroupBox
      Left = 1
      Top = 1
      Width = 524
      Height = 199
      Align = alClient
      Caption = 'Graph Display'
      Color = clCream
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -12
      Font.Name = 'Arial'
      Font.Style = []
      ParentColor = False
      ParentFont = False
      TabOrder = 0
      object GraphSpace: TPaintBox
        Left = 2
        Top = 17
        Width = 520
        Height = 180
        Align = alClient
        Color = clWhite
        ParentColor = False
      end
    end
    object GraphControlsPanel: TGroupBox
      Left = 525
      Top = 1
      Width = 258
      Height = 199
      Align = alRight
      Caption = 'Graph Controls'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -12
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 1
      object GraphSelectPanel: TPanel
        Left = 2
        Top = 17
        Width = 175
        Height = 180
        Hint = 'Click in white boxes to check or uncheck.'
        Align = alLeft
        BevelOuter = bvNone
        TabOrder = 0
        object VariablesToGraphLabel: TLabel
          Left = 48
          Top = 16
          Width = 96
          Height = 16
          Caption = 'Variables to Plot'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object SetVariablesToGraph: TCheckListBox
          Left = 39
          Top = 36
          Width = 134
          Height = 113
          Color = clBtnFace
          Flat = False
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -12
          Font.Name = 'Arial'
          Font.Style = []
          ItemHeight = 15
          Items.Strings = (
            'Reference Signal'
            'Perceptual Signal'
            'Error Signal'
            'Input'
            'Output'
            'Feedback'
            'Disturbance')
          ParentFont = False
          TabOrder = 0
        end
        object ColorKeyPanel: TPanel
          Left = 8
          Top = 36
          Width = 25
          Height = 113
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 1
          object Shape1: TShape
            Left = 4
            Top = 5
            Width = 17
            Height = 9
            Brush.Color = clLime
          end
          object Shape2: TShape
            Left = 4
            Top = 21
            Width = 17
            Height = 9
            Brush.Color = clBlue
          end
          object Shape3: TShape
            Left = 4
            Top = 36
            Width = 17
            Height = 9
            Brush.Color = clBlack
          end
          object Shape4: TShape
            Left = 4
            Top = 96
            Width = 17
            Height = 9
            Brush.Color = clRed
          end
          object Shape5: TShape
            Left = 4
            Top = 51
            Width = 17
            Height = 9
            Brush.Color = clPurple
          end
          object Shape6: TShape
            Left = 4
            Top = 66
            Width = 17
            Height = 9
            Brush.Color = clOlive
          end
          object Shape7: TShape
            Left = 4
            Top = 81
            Width = 17
            Height = 9
            Brush.Color = clAqua
          end
        end
      end
      object SetScalePanel: TPanel
        Left = 177
        Top = 17
        Width = 79
        Height = 180
        Align = alClient
        BevelOuter = bvNone
        TabOrder = 1
        object ScaleLabel: TLabel
          Left = 8
          Top = 16
          Width = 58
          Height = 16
          Caption = 'Amplitude'
          Font.Charset = ANSI_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
        end
        object SetScale: TTrackBar
          Left = 12
          Top = 32
          Width = 41
          Height = 109
          Min = 1
          Orientation = trVertical
          Frequency = 1
          Position = 5
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          TickMarks = tmBoth
          TickStyle = tsAuto
          OnChange = SetScaleChange
        end
      end
    end
  end
end
