object MainForm: TMainForm
  Left = 257
  Top = 194
  Width = 638
  Height = 460
  Caption = 'Arm-Control Reorganization Demo'
  Color = clBtnFace
  Font.Charset = ANSI_CHARSET
  Font.Color = clWindowText
  Font.Height = -13
  Font.Name = 'Arial'
  Font.Style = []
  OldCreateOrder = False
  WindowState = wsMaximized
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnPaint = FormPaint
  PixelsPerInch = 96
  TextHeight = 16
  object StatusBar1: TStatusBar
    Left = 0
    Top = 405
    Width = 622
    Height = 19
    Panels = <
      item
        Text = 'Simulation Status: Idle'
        Width = 200
      end
      item
        Text = 'RMS Error ='
        Width = 200
      end
      item
        Text = 'Output Error ='
        Width = 200
      end
      item
        Text = 'Orthogonality ='
        Width = 200
      end>
    ParentFont = True
    SimplePanel = False
    UseSystemFont = False
  end
  object ControlPanel: TGroupBox
    Left = 0
    Top = 0
    Width = 189
    Height = 405
    Align = alLeft
    Caption = 'Control Panel'
    TabOrder = 1
    object ProgramBox: TGroupBox
      Left = 6
      Top = 420
      Width = 173
      Height = 85
      Caption = 'Program'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 0
      object BtnAbout: TButton
        Left = 8
        Top = 52
        Width = 75
        Height = 25
        Caption = '&About...'
        TabOrder = 0
        OnClick = BtnAboutClick
      end
      object BtnExit: TButton
        Left = 88
        Top = 52
        Width = 75
        Height = 25
        Caption = '&Exit'
        TabOrder = 1
        OnClick = BtnExitClick
      end
      object BtnInstruct: TButton
        Left = 8
        Top = 20
        Width = 153
        Height = 25
        Caption = 'Instructions'
        TabOrder = 2
        OnClick = BtnInstructClick
      end
    end
    object ActionsBox: TGroupBox
      Left = 8
      Top = 24
      Width = 173
      Height = 61
      Caption = 'Actions'
      TabOrder = 1
      object TabControl1: TTabControl
        Left = 8
        Top = 24
        Width = 161
        Height = 29
        Style = tsButtons
        TabOrder = 0
        Tabs.Strings = (
          'Run'
          'Pause'
          'Reset')
        TabIndex = 1
        OnChange = TabControl1Change
      end
    end
    object ReferenceRadioGroup: TRadioGroup
      Left = 32
      Top = 92
      Width = 125
      Height = 81
      Caption = 'Reference Signals'
      ItemIndex = 1
      Items.Strings = (
        'Jump'
        'Smooth'
        'Constant')
      TabOrder = 2
      OnClick = ReferenceRadioGroupClick
    end
    object ReorgRadioGroup: TRadioGroup
      Left = 32
      Top = 180
      Width = 125
      Height = 65
      Caption = 'Reorganization'
      ItemIndex = 1
      Items.Strings = (
        'Off'
        'On')
      TabOrder = 3
      OnClick = ReorgRadioGroupClick
    end
    object GainControlsBox: TGroupBox
      Left = 8
      Top = 324
      Width = 169
      Height = 89
      Caption = 'Gain Controls'
      TabOrder = 4
      object Label1: TLabel
        Left = 8
        Top = 28
        Width = 65
        Height = 16
        Caption = 'Reorg Gain'
      end
      object Label2: TLabel
        Left = 88
        Top = 28
        Width = 72
        Height = 16
        Caption = 'Control Gain'
      end
      object ReorgGainEdit: TSpinEdit
        Left = 12
        Top = 52
        Width = 57
        Height = 26
        MaxValue = 100
        MinValue = 0
        TabOrder = 0
        Value = 25
        OnChange = ReorgGainEditChange
      end
      object ControlGainEdit: TSpinEdit
        Left = 92
        Top = 52
        Width = 57
        Height = 26
        MaxValue = 100
        MinValue = 0
        TabOrder = 1
        Value = 10
        OnChange = ControlGainEditChange
      end
    end
    object DisturbanceRadioGroup: TRadioGroup
      Left = 32
      Top = 252
      Width = 125
      Height = 65
      Caption = 'Disturbances'
      ItemIndex = 0
      Items.Strings = (
        'Off'
        'On')
      TabOrder = 5
      OnClick = DisturbanceRadioGroupClick
    end
  end
  object MainPanel: TPanel
    Left = 189
    Top = 0
    Width = 433
    Height = 405
    Align = alClient
    BevelOuter = bvNone
    TabOrder = 2
    object TopPanel: TPanel
      Left = 0
      Top = 0
      Width = 433
      Height = 369
      Align = alTop
      BevelOuter = bvNone
      TabOrder = 0
      object ArmDisplayPanel: TGroupBox
        Left = 0
        Top = 0
        Width = 453
        Height = 369
        Align = alLeft
        Caption = 'Arm Display'
        TabOrder = 0
        object ArmDisplay: TPaintBox
          Left = 2
          Top = 18
          Width = 449
          Height = 349
          Hint = 'Arm Display'
          Align = alClient
          OnPaint = ArmDisplayPaint
        end
      end
      object ControlSysPanel: TGroupBox
        Left = 453
        Top = 0
        Width = 638
        Height = 369
        Align = alClient
        Caption = 'Arm Control Systems'
        TabOrder = 1
        object ControlSysDisplay: TPaintBox
          Left = 2
          Top = 18
          Width = 634
          Height = 349
          Align = alClient
          Color = clBtnFace
          ParentColor = False
          OnMouseDown = ControlSysDisplayMouseDown
          OnMouseMove = ControlSysDisplayMouseMove
          OnPaint = ControlSysDisplayPaint
        end
      end
    end
    object BottomPanel: TPanel
      Left = 0
      Top = 369
      Width = 433
      Height = 36
      Align = alClient
      BevelOuter = bvNone
      TabOrder = 1
      object ErrorGraphPanel: TGroupBox
        Left = 0
        Top = 0
        Width = 453
        Height = 36
        Align = alLeft
        Caption = 'Percent RMS Error (Log Scale)'
        TabOrder = 0
        object ErrorGraphDisplay: TPaintBox
          Left = 2
          Top = 18
          Width = 449
          Height = 16
          Align = alClient
          OnPaint = ErrorGraphDisplayPaint
        end
      end
      object OutputWeightPanel: TGroupBox
        Left = 453
        Top = 0
        Width = 638
        Height = 36
        Align = alClient
        Caption = 'Output Weight Matrix'
        TabOrder = 1
        object OutputWeightDisplay: TPaintBox
          Left = 2
          Top = 18
          Width = 634
          Height = 16
          Align = alClient
          OnPaint = OutputWeightDisplayPaint
        end
        object OrthoButton: TButton
          Left = 8
          Top = 26
          Width = 89
          Height = 25
          Caption = 'Orthogonalize'
          TabOrder = 0
          OnClick = OrthoButtonClick
        end
      end
    end
  end
end
