object MainForm: TMainForm
  Left = 204
  Top = 129
  Width = 1008
  Height = 658
  Caption = 'Inverted Pendulum Demonstration'
  Color = clBtnFace
  Font.Charset = ANSI_CHARSET
  Font.Color = clWindowText
  Font.Height = -13
  Font.Name = 'Arial'
  Font.Style = []
  OldCreateOrder = False
  Visible = True
  WindowState = wsMaximized
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnPaint = FormPaint
  OnResize = FormResize
  PixelsPerInch = 96
  TextHeight = 16
  object ControlPanel: TGroupBox
    Left = 772
    Top = 0
    Width = 220
    Height = 622
    Align = alRight
    Caption = 'Control Panel'
    TabOrder = 0
    object Label6: TLabel
      Left = 62
      Top = 576
      Width = 86
      Height = 16
      Caption = 'Graph Legend'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object ProgramBox: TGroupBox
      Left = 16
      Top = 32
      Width = 185
      Height = 89
      Caption = 'Program'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 0
      object AboutBtn: TButton
        Left = 16
        Top = 24
        Width = 75
        Height = 25
        Caption = 'About ...'
        TabOrder = 0
        OnClick = AboutBtnClick
      end
      object ExitBtn: TButton
        Left = 96
        Top = 24
        Width = 73
        Height = 25
        Caption = 'E&xit'
        TabOrder = 1
        OnClick = ExitBtnClick
      end
      object ResetBtn: TButton
        Left = 59
        Top = 56
        Width = 70
        Height = 25
        Caption = '&Reset'
        TabOrder = 2
        OnClick = ResetBtnClick
      end
    end
    object LegendBox: TPanel
      Left = 16
      Top = 600
      Width = 185
      Height = 89
      BevelOuter = bvLowered
      TabOrder = 1
      object Label2: TLabel
        Left = 25
        Top = 12
        Width = 136
        Height = 16
        Caption = 'Bob Position Reference'
        Font.Charset = ANSI_CHARSET
        Font.Color = clRed
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
      end
      object Label3: TLabel
        Left = 54
        Top = 36
        Width = 74
        Height = 16
        Caption = 'Bob Position'
        Font.Charset = ANSI_CHARSET
        Font.Color = clGreen
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
      end
      object Label4: TLabel
        Left = 54
        Top = 60
        Width = 75
        Height = 16
        Caption = 'Cart Position'
        Font.Charset = ANSI_CHARSET
        Font.Color = clNavy
        Font.Height = -13
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
      end
    end
    object OptionsBox: TGroupBox
      Left = 16
      Top = 136
      Width = 185
      Height = 249
      Caption = 'Options'
      TabOrder = 2
      object ControlTogBtn: TButton
        Left = 35
        Top = 32
        Width = 118
        Height = 25
        Caption = ' Turn &Control OFF'
        TabOrder = 0
        OnClick = ControlTogBtnClick
      end
      object ForceTogBtn: TButton
        Left = 35
        Top = 72
        Width = 118
        Height = 25
        Caption = 'Turn &Force ON'
        TabOrder = 1
        OnClick = ForceTogBtnClick
      end
      object Panel1: TPanel
        Left = 16
        Top = 120
        Width = 153
        Height = 113
        BevelOuter = bvLowered
        TabOrder = 2
        object Label5: TLabel
          Left = 34
          Top = 8
          Width = 90
          Height = 16
          Caption = 'Impulse Length'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -13
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
        end
        object SpinEditImpL: TSpinEdit
          Left = 43
          Top = 27
          Width = 65
          Height = 26
          Increment = 100
          MaxValue = 3000
          MinValue = 100
          TabOrder = 0
          Value = 500
          OnChange = SpinEditImpLChange
        end
        object ImpulseBtn: TButton
          Left = 24
          Top = 72
          Width = 97
          Height = 25
          Caption = 'Deliver &Impulse'
          TabOrder = 1
          OnClick = ImpulseBtnClick
        end
      end
    end
  end
  object DisplayPanel: TGroupBox
    Left = 25
    Top = 0
    Width = 747
    Height = 622
    Align = alClient
    Caption = 'Display Panel'
    TabOrder = 1
    object Panel2: TPanel
      Left = 2
      Top = 18
      Width = 743
      Height = 49
      Align = alTop
      BevelOuter = bvLowered
      Caption = 
        'To Change Bob Position Reference, Drag Red Reference Line Using ' +
        'Mouse'
      Color = clWhite
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 0
    end
    object Panel3: TPanel
      Left = 2
      Top = 67
      Width = 743
      Height = 366
      Align = alClient
      BevelOuter = bvNone
      TabOrder = 1
      object Display: TPaintBox
        Left = 0
        Top = 0
        Width = 743
        Height = 366
        Align = alClient
        Color = clWhite
        ParentColor = False
        OnMouseMove = DisplayMouseMove
      end
    end
    object Panel4: TPanel
      Left = 2
      Top = 433
      Width = 743
      Height = 157
      Align = alBottom
      BevelInner = bvLowered
      BevelOuter = bvNone
      TabOrder = 2
      object GraphDisplay: TPaintBox
        Left = 1
        Top = 1
        Width = 741
        Height = 155
        Align = alClient
        Color = clWhite
        ParentColor = False
      end
    end
    object Panel5: TPanel
      Left = 2
      Top = 590
      Width = 743
      Height = 30
      Align = alBottom
      Caption = 'Position as a Function of Time'
      Color = clWhite
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 3
    end
  end
  object Panel6: TPanel
    Left = 0
    Top = 0
    Width = 25
    Height = 622
    Align = alLeft
    BevelOuter = bvNone
    TabOrder = 2
  end
end
